Public Member Functions | Data Fields

# SignalReference Struct Reference

Reference to a signal. More...

`#include <signal_type.h>`

## Public Member Functions
| SignalReference (TileIndex t, Track tr)
bool | operator< (const SignalReference &o) const
bool | operator== (const SignalReference &o) const
bool | operator!= (const SignalReference &o) const
## Data Fields
TileIndex | tile
Track | track

## Detailed Description

Reference to a signal.

A reference to a signal by its tile and track

Definition at line 48 of file signal_type.h.

The documentation for this struct was generated from the following file:

- src/signal_type.h